Package org.apache.sling.scripting.sightly.js.impl.loop

# Class EventLoopInterop

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.loop.EventLoopInterop

public class EventLoopInterop extends Object
Event-loop utilities for interoperability with JS code

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EVENT_LOOP_KEY`

## Constructor Summary

Constructors
Constructor
Description
`EventLoopInterop()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`cleanupEventLoop(org.mozilla.javascript.Context context)`
`static EventLoop`
`obtainEventLoop(org.mozilla.javascript.Context context)`
`static Task`
`schedule(org.mozilla.javascript.Context context, Runnable runnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EVENT_LOOP_KEY

public static final String EVENT_LOOP_KEY

See Also:
  - Constant Field Values

## Constructor Details

### EventLoopInterop

public EventLoopInterop()

## Method Details

### obtainEventLoop

public static EventLoop obtainEventLoop(org.mozilla.javascript.Context context)

### cleanupEventLoop

public static void cleanupEventLoop(org.mozilla.javascript.Context context)

### schedule

public static Task schedule(org.mozilla.javascript.Context context, Runnable runnable)